Update wallet
curl --request PATCH \
--url https://qa-api.endl.xyz/api/v0/wallets/{userId}/{walletId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-SECRET: <api-key>' \
--data '
{
"name": "Renamed wallet"
}
'import requests
url = "https://qa-api.endl.xyz/api/v0/wallets/{userId}/{walletId}"
payload = { "name": "Renamed wallet" }
headers = {
"X-API-KEY": "<api-key>",
"X-API-SECRET": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-API-KEY': '<api-key>',
'X-API-SECRET': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Renamed wallet'})
};
fetch('https://qa-api.endl.xyz/api/v0/wallets/{userId}/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Wallet updated",
"status": "SUCCESS",
"data": {},
"errors": []
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "must not be blank",
"field": "sourceAmount"
}
]
}Wallets
Update wallet
Updates mutable wallet attributes such as its name. Omitted fields are left unchanged.
PATCH
/
api
/
v0
/
wallets
/
{userId}
/
{walletId}
Update wallet
Authorizations
Your partner API key.
Your partner API secret.
Path Parameters
Identifier of the end user the resource belongs to.
Example:
"8f14e45f-ceea-467a-9a3f-1b2c0d4e5f60"
Identifier of the wallet.
Example:
"b7c1a2d3-4e5f-4a6b-8c9d-0e1f2a3b4c5d"
Body
application/json
New label for the wallet.
Response
Wallet updated
Example:
200
Example:
"Wallet updated"
Available options:
SUCCESS, ERROR Example:
"SUCCESS"
Successful responses share the standard envelope. The shape of data for this endpoint is not yet captured in this specification — see the note on the API reference overview.
Show child attributes
Show child attributes
Example:
[]